<script setup>
const props =defineProps (['url','text']);

function copyText() {
        navigator.clipboard.writeText(props.url)
            .then(() => {
                alert("L'URL est copiée dans le presse-papier !");
            })
           .catch((err) => {
                console.error('Erreur lors de la copie :', err);
            });
    }
</script>

<template>
        <a @click="copyText()" >
            <img src="/images/link.svg" width="20px" height="20px" :class="text?'mr-1':''" alt="copier l'adresse" />
            {{ text }}
        </a>
</template>